For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Attachment object
          • GET/attachments
          • POST/attachments
          • GET/attachments/{id}
          • GET/attachments/{id}/download
          • GET/attachments/meta/post
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsAttachments

/attachments/{id}

GET
/ticketing/v1/attachments/:id
GET
/api/ticketing/v1/attachments/:id
$curl -G https://api.merge.dev/api/ticketing/v1/attachments/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -d expand=ticket
200Retrieved
1{
2 "id": "17a54124-287f-494d-965e-3c5b330c9a68",
3 "remote_id": "19202938",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "file_name": "Screenshot.png",
7 "ticket": "0958cbc6-6040-430a-848e-aafacbadf4ae",
8 "file_url": "http://alturl.com/p749b",
9 "content_type": "jpeg",
10 "uploaded_by": "28b54125-287f-494d-965e-3c5b330c9a68",
11 "remote_created_at": "2022-11-10T00:00:00Z",
12 "remote_was_deleted": true,
13 "field_mappings": {
14 "organization_defined_targets": {
15 "custom_key": "custom_value"
16 },
17 "linked_account_defined_targets": {
18 "custom_key": "custom_value"
19 }
20 },
21 "remote_data": [
22 {
23 "path": "/platform-endpoint",
24 "data": null
25 }
26 ]
27}

Returns an Attachment object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/attachments

Next

/attachments/{id}/download

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
Allowed values:
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
file_namestring or null
The attachment's name. It is required to include the file extension in the attachment's name.
ticketstring or nullformat: "uuid"
The ticket associated with the attachment.
file_urlstring or null
The attachment's url. It is required to include the file extension in the file's URL.
content_typestring or null
The attachment's file format.
uploaded_bystring or nullformat: "uuid"
The user who uploaded the attachment.
remote_created_atdatetime or null
When the third party's attachment was created.
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only